Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Plain View
Hadoop >> mail # user >> Hadoop and Eclipse integration


+
Nick Katsipoulakis 2012-05-29, 06:30
Copy link to this message
-
Re: Hadoop and Eclipse integration
Using this suggestion: (look down for the 'M2_REPO' bit)
http://lucene.472066.n3.nabble.com/Hadoop-on-Eclipse-td3392212.html

and this documentation:
http://maven.apache.org/guides/mini/guide-ide-eclipse.html

I ran this:

mvn -Declipse.workspace=/Users/epaulson/development/workspace/
eclipse:add-maven-repo
(Eclipse on MacOS wanted to put its workspace in /Users/epaulson/Documents
but I don't like to keep anything there)

and that resolved most of the problems that you're having below.

-Erik

On Tue, May 29, 2012 at 1:30 AM, Nick Katsipoulakis <[EMAIL PROTECTED]>wrote:

> Hello everybody,
> I attempted to use the Eclipse IDE for Hadoop development and I followed
> the instructions shown in here:
>
> http://wiki.apache.org/hadoop/**EclipseEnvironment<http://wiki.apache.org/hadoop/EclipseEnvironment>
>
> Everything goes well until I am starting to import projects in Eclipse,
> and particularly HDFS. When I follow the instructions for HDFS import i get
> the following error from Eclipse:
>
> Project 'hadoop-hdfs' is missing required library:
> '/home/nick/.m2/repository/**org/aspectj/aspectjtools/1.6.**
> 5/aspectjtools-1.6.5.jar'
>
> I should mention that the directory hadoop-common that i checked out
> hadoop is located at:
>
> /home/nick/hadoop-common
>
> and I am using Ubuntu 10.04.
>
> Similar errors appear when I attempt to import the MapReduceTools:
>
> Project 'MapReduceTools' is missing required library: 'classes'
> Project 'MapReduceTools' is missing required library: 'lib/hadoop-core.jar'
>
> How can I resolve these issues?  When I resolve them, how can I execute a
> simple Wordcount job from eclipse? Thank you
>